openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/RHPS_APP_CRIT_GROUP_CREATE:
    post:
      tags:
      - RHPS
      operationId: /rfc/RHPS_APP_CRIT_GROUP_CREATE
      requestBody:
        content:
          application/json:
            schema:
              properties:
                BEGDA:
                  type: string
                  format: date
                  default: '19000101'
                  description: Start Date
                ENDDA:
                  type: string
                  format: date
                  default: '99991231'
                  description: End Date
                EXT_NUMBER:
                  type: integer
                  format: int64
                  default: 0
                  description: External Number
                INFTY1044:
                  type: object
                  properties:
                    SCALE_ID:
                      type: integer
                      format: int64
                      description: Scale ID
                    FUNCNAME:
                      type: string
                      maxLength: 30
                      description: Function module for calculating (partial) appraisal results
                    OBJECTIVE:
                      type: string
                      maxLength: 1
                      description: 'Flag: Can be used for setting objectives  enumValues: ""=Not Selected,X=Selected'
                      enum:
                      - ''
                      - X
                    APP_INPUT:
                      type: string
                      maxLength: 1
                      description: 'Flag: Type of input option for appraisal result  enumValues: ""=Optional entry,D=Required entry,M=No entry'
                      enum:
                      - ''
                      - D
                      - M
                    NO_NOTE:
                      type: string
                      maxLength: 1
                      description: 'Flag: Note cannot be stored  enumValues: ""=Not Selected,X=Selected'
                      enum:
                      - ''
                      - X
                INHERITED_1048:
                  type: string
                  default: X
                  maxLength: 1
                LANGU:
                  type: string
                  default: SY-LANGU
                  maxLength: 1
                  description: Language
                PLVAR:
                  type: string
                  maxLength: 2
                  description: Plan Version
                STEXT:
                  type: string
                  maxLength: 40
                  description: Description
                VBEGDA:
                  type: string
                  format: date
                  default: '19000101'
                VENDDA:
                  type: string
                  format: date
                  default: '99991231'
                VOBJID:
                  type: integer
                  format: int64
                VOTYPE:
                  type: string
                  maxLength: 2
                VPAD47:
                  type: object
                  properties:
                    RANK:
                      type: integer
                      format: int64
                      description: Define sorting
                    EVAL:
                      type: integer
                      format: int64
                      description: Weighting
                VTASK:
                  type: string
                  default: D
                  maxLength: 1
                  description: Update (B=Buffer,D=Online,V=Update,S=Sync)
                DESCR_PT1048:
                  type: array
                  items:
                    type: object
                    properties:
                      TLINE:
                        type: string
                        maxLength: 79
                        description: Line With Length 79 for Infotype 1002
                      RATING:
                        type: integer
                        format: int64
                        description: Proficiency of a Quality Scale
                PTXT1002:
                  type: array
                  items:
                    type: object
                    properties:
                      TLINE:
                        type: string
                        maxLength: 79
                        description: Line With Length 79 for Infotype 1002
                      TFORMAT:
                        type: string
                        maxLength: 2
                        description: Tag column
              required:
              - PLVAR
              - STEXT
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  OBJID:
                    type: integer
                    format: int64
                    description: Object ID
                  DESCR_PT1048:
                    type: array
                    items:
                      type: object
                      properties:
                        TLINE:
                          type: string
                          maxLength: 79
                          description: Line With Length 79 for Infotype 1002
                        RATING:
                          type: integer
                          format: int64
                          description: Proficiency of a Quality Scale
                  PTXT1002:
                    type: array
                    items:
                      type: object
                      properties:
                        TLINE:
                          type: string
                          maxLength: 79
                          description: Line With Length 79 for Infotype 1002
                        TFORMAT:
                          type: string
                          maxLength: 2
                          description: Tag column
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
